Bug 31759 - dhcpstart:ioctl error activating eth0
dhcpstart:ioctl error activating eth0
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: dhcp (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-13 19:49 EST by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-13 22:17:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-13 19:49:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; MSN 2.5; Windows 98)


I just installed RH7.  Following installation, I noticed my 3Com NIC
(3C900B) was not defined as a device.  I added an eth0 3c90x definition to 
my module config file, did a modprobe and it loaded OK.  When I then try 
to defining/activating eth0 with dhcp, I get the following error:

dhcpstart: ioctl SIOCSCIFFLAGS: no such device


Reproducible: Always
Steps to Reproduce:
1. See Description
2.
3.
Comment 1 Erik Troan 2001-03-13 21:00:41 EST
1) What does ifconfig say?
2) What does "strace -f -e ioctl dhcpd" say?
Comment 2 Need Real Name 2001-03-13 22:17:08 EST
Just figured out my problem - I was also following a bug report regarding
a similar problem with my SB Live card not working under RH7 - the Bug
Reporter suggested changing my BIOS "PnP OS?" to NO.  Once I did that and
rebooted RH7, it magically detected both my SB Live and 3Com NIC, both of
which work fine now.

Problem is that I use my machine for W98 as well, which doesn't seem to
like having "PnP OS?" set to NO (I get odd conflicts upon boot).

Is there something else I'm missing so that I run RH7 with "PnP OS?" set
to YES?
Comment 3 Erik Troan 2001-03-14 10:53:41 EST
There's really no good answer for this.

Note You need to log in before you can comment on or make changes to this bug.